Query Webhook Event Push Settings
Query Webhook event push settings, including Webhook URL, secret, request method, etc.
Request URL
GET {base_url}/{api_path}/webhook/query?access_token={access_token}
Request parameters
No request parameters. Send the request URL directly to query the Webhook event push settings.
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object<Webhook_Setting> | The settings of Webhook Event Push. |
Webhook_Setting
| Parameter | Type | Description |
|---|---|---|
| enb_webhook_event_push | Integer | Whether the Webhook Event Push is enabled.
|
| webhook_event_push_list | Array<Webhook_Entry> | The list of Webhook configuration entries. |
| webhook_event_push_timeout | Integer | The maximum time to wait for an HTTP response from the third-party application. |
| webhook_event_push_retry_count | Integer | The number of times a request can be retried when delivery fails or no successful response is received. |
| webhook_event_ids | Array<Integer> | The list of supported API event IDs that can be monitored and notified via Webhook. For more information about the events corresponding to the IDs, see Events. |
Webhook_Entry
| Parameter | Type | Description |
|---|---|---|
| url | String | Webhook URL. |
| secret | String | Secret key. The key is used to generate HMAC-SHA256 signatures for Webhook messages. The recipient can use the key to verify the message's authenticity and integrity. |
| request_method | String | HTTP request method for sending requests to the Webhook URL. |
| event_ids | Array<Integer> | The list of subscribed API event IDs. For more information about the events corresponding to the IDs, see Events. Note: If 0 is returned, it indicates that all supported API events are monitored and will be delivered to the Webhook URL when these events occur. |
Examples
Request example
GET /openapi/v1.0/webhook/query?access_token=9lpNw53mp6Wpubgy5h4oSAHauz0K83q9 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"enb_webhook_event_push": 1,
"webhook_event_push_list": [
{
"url": "https://webhook.site/38e9dea1-be68-4381-8a8c-f0623517f513",
"secret": "Pugghh14VCb05rtG7WGumbD4hwJPIvzu",
"request_method": "POST",
"event_ids": [
30022,
30023
]
}
],
"webhook_event_push_timeout": 5,
"webhook_event_push_retry_count": 3,
"webhook_event_ids": [
30005,
30006,
30007,
30008,
30009,
30010,
30011,
30012,
30013,
30014,
30015,
30016,
30017,
30018,
30019,
30020,
30022,
30023,
30024,
30025,
30026,
30027,
30028,
30029,
30030,
30031,
30032,
30033
]
}
}